### Constructor

# Foundry CompileCommands new

#### Declaration [src]

    DexFuture*
    foundry_compile_commands_new (
      GFile* file
    )

#### Description [src]

Creates a new `FoundryCompileCommands` object containing the parsed values from a compile_commands.json file.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` to load.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryCompileCommands` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.